package kafka.reactive.consumerAvro.kafkareactiveconsumerAvro;

import com.genericAvro.PersonData;
import io.confluent.kafka.serializers.KafkaAvroDeserializer;
import org.apache.kafka.clients.consumer.Consumer;
import org.apache.kafka.clients.consumer.KafkaConsumer;
import org.apache.kafka.common.serialization.StringDeserializer;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.util.Properties;

@Configuration
public class ConsumerConfig {

        @Bean
        public Consumer<String, PersonData> getConsumer() {
            Properties properties = new Properties();
            // Kafka Properties
            properties.setProperty("bootstrap.servers", IKafkaConstants.KAFKA_SERVER);
            properties.setProperty("acks", "all");
            properties.setProperty("retries", "10");
            // Avro properties
            properties.setProperty("key.deserializer", StringDeserializer.class.getName());
            properties.setProperty("value.deserializer", KafkaAvroDeserializer.class.getName());
            properties.setProperty("schema.registry.url", IKafkaConstants.SCHEMA_REGISTRY_URL);
            Consumer<String, PersonData> consumer = new KafkaConsumer<String, PersonData>(properties);
            return consumer;
        }



    }



