package kafka.reactive.consumerAvro.kafkareactiveconsumerAvro;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import reactor.core.Disposable;

import java.util.concurrent.CountDownLatch;
import java.util.concurrent.TimeUnit;

@SpringBootApplication
public class KafkaReactiveConsumerAvroApplication {

	private static final String BOOTSTRAP_SERVERS = "localhost:9092";
	private static final String TOPIC = "topic-avro_1";
	public static void main(String[] args) throws Exception {
		SampleConsumer consumer = new SampleConsumer();
		int count = 20;
		CountDownLatch latch = new CountDownLatch(count);
		Disposable disposable = consumer.consumeMessages(TOPIC, latch);
		latch.await(10, TimeUnit.SECONDS);
		disposable.dispose();
		SpringApplication.run(KafkaReactiveConsumerAvroApplication.class, args);


	}
}
